---
type: api
title: Get cases for an alert
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-getcasesbyalertdefaultspace
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-getcasesbyalertdefaultspace
products:
  - Kibana
---

# Get cases for an alert

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/cases/alerts/{alertId}`
- `GET` `/s/{space_id}/api/cases/alerts/{alertId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `alertId` (string)
  An identifier for the alert.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

You must have `read` privileges for the **Cases** feature in the **Management**, **Observability**, or **Security** section of the Kibana feature privileges, depending on the owner of the cases you're seeking.

## Query String Parameters

- `owner` (union oneOf)
  A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.
  Values: `cases`, `observability`, `securitySolution`

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `[] object · max: 10000`

- `id` (string)
  The case identifier.
- `title` (string)
  The case title.
#### `401`

Authorization information is missing or invalid.

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
## Code Examples

#### Console

```console
GET /api/cases/alerts/{alertId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/cases/alerts/{alertId}"
```

